<?php
include ('GeraPDF/class.ezpdf.php');

// instancia um novo documento PDF
$pdf = new Cezpdf();  

//seta a fonte
$pdf->selectFont('GeraPDF/fonts/Courier.afm');  

include "../postgres.php";
$sql = "select * from tb_fst_tt_testesuavelocidade_bmg";
$sql = $sql. " order by cont desc";
$res = pg_exec($db,$sql);

//seta os cabealhos da tabela que ser mostrada, sero os nomes dos campos de nossa tabela
$cols = array(Nome, Endereo, Telefone);

$optionsText = array(justification=>'center', spacing=>1.0);  
/*
justification=> seta a posio de um label, pode ser center, right, left, aright, ou aleft
leading = > define o tamanho que cada linha usar para se mostrada, dever  ser um int
spacing => define o espaamento entrelinhas, dever ser um float
voc pode usar apenas leading ou apenas spacing, nunca os dois 
*/


$optionsTable = array(showLines=>1, showHeadings=>1, shaded=>2, textCol=>array(0.1, 0.1, 1), shadeCol=>array(1, 0.1, 0.1), shadeCol2=>array(0.1, 1, 
0.1), fontSize=>12, titleFontSize=>12, rowGap=>5, colGap=>5, lineCol=>array(0, 0 ,1), xPos=>'center', width=>400); 
/*
showlines => define se haver bordas na tabela, 0 = sem bordas, 1 = (padro) com bordas laterais e por colunas, 2 = separa cada clula da tabela com 
linhas
showHeadings => define se ir mostrar o cabealho, 0 = no mostra, 1 = mostra
shaded => define como ser sombreada as linhas, 0 = sem sombra, 1 = (padro) mostra sombra de modo alternado, 2 = mostra sombra em todos com tons 
alternados
textCol => define a cor do texto no documento, a cor est no formato RGB
shadeCol => define a primeira cor do sombreado na tabela, formato RGB
shadeCol2 => define a segunda cor do sombreado na tabela, formato RGB
fontSize => define o tamanho da fonte nos dados da tabela
titleFontSize => define o tamanho da fonte do ttulo da tabela
rowGap => equivalente ao cellspacing do html
colGap => equivalente ao colspacing do html
lineCol => define a cor das linhas da tabela, formato RGB
xPos => define a posio da tabela na pagina, padro  center mas pode ser left,right,center ou centre
*/

while($linha = pg_fetch_row($res))
{
  $data[] = array($linha[1], $linha[2], $linha[3]); //Coloca os dados num array 
  // $data[] = array(Nome=>$linha[1], Endereo=>$linha[2], Telefone=>$linha[3]); 
  // Desta  forma comentada no se faz necessrio o array $cols que seta os cabealhos da tabela, assim os cabealhos seriam os ndices do array
} 

// Adiciona um texto ao documento
//o nmero 10 se refere ao tamanho da fonte e o array $optionsText define algumas propriedades como explicado na sua declarao logo acima
$pdf->ezText('Lista de endereos com origem em MySQL',10,$optionsText); 

//$pdf->ezText('Digite seu texto aqui');  //Poderia ser desta forma mais simples 


$pdf->ezText('');  //Para quebra de linha
$pdf->ezTable($data, $cols, 'AGENDA',$optionsTable);
/* 
Chama o mtodo ezTable que espera receber ao menos um array que sero os dados da consulta armazenados no lao anterior.

O array $cols define os cabealhos da tabela, pode ser omitido este parmetro mas o array com os dados dever possuir.

Seus ndices como sendo os nomes que sero mostrados no cabealho da tabela, os ndices poderiam ser os nomes dos campos da tabela

AGENDA  o nome da tabela

$OptionsTable so algumas propriedades da tabela que foram descritas anteriormente ao serem criadas e que agora so passadas para a tabela para que 
esta seja formatada de acordo com nossa necessidade, exceto o array $data, os outros parmetros podem ser omitidos, a tabela ser criada com valores 
default.

O array $optionsTable por exemplo pode nem existir para gerar a tabela, ele apenas do a possibilidade de personalizar nossa tabela
*/

// $pdf->ezTable($data); //Poderia ser desta forma apenas passando o array

// Adiciona uma imagem ao documento, o nmero 100 se refere ao tamanho da imagem
$pdf->ezImage('FreeBSD.jpg',100);


// Um exemplo para mostrar a funcionalidade da propriedade spacing definida no array $cols tente trocar o valor 1.0 para 1.5 e veja o que acontece.

$pdf->ezNewPage(); //Cria uma nova pgina

$pdf->ezText('This is a simple test about how to',10,$optionsText);
$pdf->ezText('create a PDF document using PHP language',11,$optionsText);
$pdf->ezText('to generate it with apache help, of course!',12, $optionsText);
$pdf->ezStream(); 
?> 

